Bug 1193230 - Need a %{_libdir}/vim/... for plugins that ship a .so file
Summary: Need a %{_libdir}/vim/... for plugins that ship a .so file
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: 23
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-16 22:39 UTC by Michele Baldessari
Modified: 2016-04-12 20:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-12 20:18:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Michele Baldessari 2015-02-16 22:39:33 UTC
Description of problem:
I am packaging vim-proc which builds a shared object as part of the vim
plugin (/usr/share/vim/vimfiles/autoload/vimproc_unix.so)

Since placing an .so file under /usr/share is a no-no, I was wondering if
we can add some directory like %{_libdir}/vim/plugins to vim-filesystem or 
something similar for this kind of situation.

Also see the discussion here:
https://lists.fedoraproject.org/pipermail/packaging/2014-November/010355.html

I looked around other distros, but none seems to have tackled
this issue yet. Thoughts?

Cheers,
Michele

Comment 1 Jan Kurik 2015-07-15 14:31:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Karsten Hopp 2016-04-12 20:18:27 UTC
I've added %{_libdir}/vim/ to vim-filesystem. I don't think another subdirectory is necessary.


Note You need to log in before you can comment on or make changes to this bug.